# FunkLoad test configuration file
# $Id: $


# ------------------------------------------------------------
# Main section
#
[main]
title=ShipIt
description=ShipIt load test

# the server url to test.
url=https://shipit.staging.launchpad.net

# Database connection string to the Launchpad database.
database_conninfo=dbname=lpmain_staging host=localhost port=55435

# ------------------------------------------------------------
# Tests description and configuration
#
[test_shipit]
description=Create an account, request cds, cancel order.


# ------------------------------------------------------------
# Credential access
#
[credential]
host=localhost
port=8007


# ------------------------------------------------------------
# Monitoring configuration
#
[monitor]
#hosts=localhost

# Each host in [monitor]hosts should have a section
# with a 'port' and 'description' keys
[localhost]
port=8008
description=The benching machine


# ------------------------------------------------------------
# Configuration for unit test mode fl-run-test
#
[ftest]

# log_to destination =
# console - to the screen
# file - to a file
log_to = console file

# log_path = path and file name to store log file
log_path = shipit-test.log

# result_path = path to store the xml result file
result_path = shipit-test.xml

# ok_codes = list of successfull HTTP response code default is 200:301:302
# ok_codes =  200:301:302

# sleeptime_min = minimum amount of time in seconds to sleep between requests
#                 to the host
sleep_time_min = 0

# sleeptime_max = maximum amount of time in seconds to sleep between requests
#                 to the host
sleep_time_max = 0


# ------------------------------------------------------------
# Configuration for bench mode fl-run-bench
#
[bench]

# cycles = list of cycles with their number of concurrent users
cycles =  1:5:10:20:40:80:160:200

# duration = duration of a cycle in seconds
duration = 60

# startup_delay = time to wait between starting-up threads in seconds
startup_delay = 0.2

# sleep_time = time to wait between test in seconds
sleep_time = 1

# cycle_time = time to wait between cycle in seconds
# We have a significant delay in case we had to terminate the previous
# cycle by restarting the service.
cycle_time = 45

# same keys than in [ftest] section
log_to = file
log_path = shipit-bench.log
result_path = shipit-bench.xml
#ok_codes =  200:301:302
sleep_time_min = 0
sleep_time_max = 2
